<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00057000ConfiguracaoRegionalFactory;

class Sm00057000ConfiguracaoRegionalService {

    protected $configRegionalFactory;

    public function __construct(Sm00057000ConfiguracaoRegionalFactory $configRegionalFactory) {
        $this->configRegionalFactory = $configRegionalFactory;
    }

    public function getIdiomaMoedaPadrao() {
        $dataset = $this->configRegionalFactory->getIdiomaMoedaPadrao();
        return (count($dataset) > 0) ? $dataset[0] : array();
    }
}